Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNPropertyValueProvider

public interface ISVNPropertyValueProvider

The ISVNPropertyValueProvider interface should be implemented to be further provided to `SVNWCClient.doSetProperty(java.io.File, ISVNPropertyValueProvider, boolean, org.tmatesoft.svn.core.SVNDepth, ISVNPropertyHandler, java.util.Collection)` method for defining properties to change.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNWCClient`

Method Summary
`SVNProperties` | `providePropertyValues(File path, SVNProperties properties)` Defines local item's properties to be installed.

Method Detail

### providePropertyValues

    public SVNProperties providePropertyValues(File path,
                                               SVNProperties properties)
                                        throws SVNException

  Defines local item's properties to be installed.

  Parameters:
    `path` - an WC item's path
    `properties` - an item's versioned properties
  Returns:
    SVNProperties object which stores properties to be installed on an item
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.